<?xml version="1.0"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version "1.16.2">
]>
<book id="index" xmlns:xi="http://www.w3.org/2003/XInclude">

  <bookinfo>
    <title>Cogl GST 2.0 Reference Manual</title>
    <releaseinfo>for Cogl &version;</releaseinfo>

    <copyright>
      <year>2013</year>
      <holder>Intel Corporation</holder>
    </copyright>

    <legalnotice>
      <para>
        Permission is granted to copy, distribute and/or modify this
        document under the terms of the <citetitle>GNU Free
        Documentation License</citetitle>, Version 1.1 or any later
        version published by the Free Software Foundation with no
        Invariant Sections, no Front-Cover Texts, and no Back-Cover
        Texts. You may obtain a copy of the <citetitle>GNU Free
        Documentation License</citetitle> from the Free Software
        Foundation by visiting <ulink type="http"
        url="http://www.fsf.org">their Web site</ulink> or by writing
        to:

        <address>
          The Free Software Foundation, Inc.,
          <street>59 Temple Place</street> - Suite 330,
          <city>Boston</city>, <state>MA</state> <postcode>02111-1307</postcode>,
          <country>USA</country>
        </address>
      </para>
    </legalnotice>

  </bookinfo>

  <chapter>
    <title>Cogl GST - a library for integrating GStreamer with Cogl</title>

    <section id="cogl-gst-intro">
      <title>About Cogl GST</title>

      <para>Cogl GST is a small library which provides a GStreamer
      sink which can manage a CoglPipeline to render a video within a
      Cogl scene.</para>

    </section>

    <section id="cogl-gst-general-apis">
      <title>General APIs</title>
      <xi:include href="xml/cogl-gst-video-sink.xml"/>
    </section>

  </chapter>

  <chapter id="coglglossary">
    <title>Glossaries</title>

    <xi:include href="xml/annotation-glossary.xml"><xi:fallback /></xi:include>
  </chapter>

  <index>
    <title>Index of all symbols</title>
    <xi:include href="xml/api-index-full.xml"><xi:fallback /></xi:include>
  </index>

  <appendix id="license">
    <title>License</title>

    <para>
      This library is free software; you can redistribute it and/or
      modify it under the terms of the <citetitle>GNU Library General
      Public License</citetitle> as published by the Free Software
      Foundation; either version 2 of the License, or (at your option)
      any later version.
    </para>

    <para>
      This library is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      <citetitle>GNU Library General Public License</citetitle> for
      more details.
    </para>

    <para>
      You may obtain a copy of the <citetitle>GNU Library General
      Public License</citetitle> from the Free Software Foundation by
      visiting <ulink type="http" url="http://www.fsf.org">their Web
      site</ulink> or by writing to:

      <address>
        Free Software Foundation, Inc.
        <street>59 Temple Place</street> - Suite 330
        <city>Boston</city>, <state>MA</state> <postcode>02111-1307</postcode>
        <country>USA</country>
      </address>
    </para>
  </appendix>

</book>
